Package org.italiangrid.voms.request.impl

# Class LegacyRequestSender

java.lang.Object
org.italiangrid.voms.request.impl.LegacyRequestSender

public class LegacyRequestSender extends Object
This class manages the client-side communication protocol with the VOMS server.

Author:
  Andrea Ceccanti

## Method Summary

Modifier and Type
Method
Description
`static LegacyRequestSender`
`instance(VOMSProtocolListener listener)`
`void`
`sendRequest(VOMSACRequest acRequest, VOMSServerInfo endpoint, OutputStream stream)`
This method is used to send a request to a VOMS server.
`protected String`
`xmlDocAsString(Document doc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### instance

public static LegacyRequestSender instance(VOMSProtocolListener listener)

### xmlDocAsString

protected String xmlDocAsString(Document doc)

### sendRequest

public void sendRequest(VOMSACRequest acRequest, VOMSServerInfo endpoint, OutputStream stream)
This method is used to send a request to a VOMS server.

Parameters:
  `acRequest` - the AC request parameters. See `VOMSACRequest`.
  `endpoint` - the `VOMSServerInfo` endpoint to use for this request
  `stream` - an output stream.